My Oracle Support Banner

INS-44008 : Installer Has Detected That Oracle Grid Infrastructure Is Not Upgraded To Current Release While Upgrading Grid Infra (Doc ID 2533970.1)

Last updated on OCTOBER 31, 2019

Applies to:

Oracle Database - Enterprise Edition - Version 11.2.0.4 and later
Information in this document applies to any platform.

Symptoms

<grid_home>/rootupgrade.sh has been successfully run on all nodes but the 18c upgrade but OUI gives error [INS-44008] Installer has detected that Oracle Grid Infrastructure is not upgraded to the current release (18.0.0.0.0)

grid@node1-+ASM1> ./olsnodes -n -t
node1 1 Unpinned
node2 2 Unpinned
node3 3 Unpinned
node4 4 Unpinned

crsctl check cluster -all displays four nodes.

PROD:grid@node4-+ASM4> crsctl query crs activeversion
Oracle Clusterware active version on the cluster is [12.2.0.1.0]
PROD:grid@node4-+ASM4> crsctl query crs softwareversion
Oracle Clusterware version on node [node4] is [18.0.0.0.0]

After a successful upgrade in all the four nodes, the Installer still throws the below error.

[INS-44008] Installer has detected that Oracle Grid Infrastructure is not upgraded to the current release (18.0.0.0.0)

Changes

Performing upgrade of Grid infra from 12.2 to 18.0.0.0.

Facing error INS-44008 during a grid upgrade.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.